org.apache.lucene.search.vectorhighlight

## Class WeightedFieldFragList

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldFragList
  - - org.apache.lucene.search.vectorhighlight.WeightedFieldFragList

-     public class WeightedFieldFragList
      extends FieldFragList

  A weighted implementation of `FieldFragList`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.vectorhighlight.FieldFragList

      `FieldFragList.WeightedFragInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedFieldFragList(int fragCharSize)` a constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)` convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos

    - ### Methods inherited from class org.apache.lucene.search.vectorhighlight.FieldFragList

      `getFragInfos`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightedFieldFragList

          public WeightedFieldFragList(int fragCharSize)

      a constructor.
      Parameters:
        `fragCharSize` - the length (number of chars) of a fragment

  - ### Method Detail

    - #### add

          public void add(int startOffset,
                          int endOffset,
                          List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)

      Description copied from class: `FieldFragList`
      convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos
      Specified by:
        `add` in class `FieldFragList`
      Parameters:
        `startOffset` - start offset of the fragment
        `endOffset` - end offset of the fragment
        `phraseInfoList` - list of WeightedPhraseInfo objects

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.